# Pickups

**Supported Events**:

* `Pickup Created`: Webhook triggered when a pickup is created
* `Pickup Updated`: Webhook trigger when an update is made to a pickup

**Sample Payloads:**

* **Raw Milk Pickup:**

```json
{
  "region": "mm",
  "event_type": "create_pickup",
  "id": "66fc2e74e3509412cde6916b",
  "object": {
    "id": "66fc2e74e3509412cde6916b",
    "commodity_type": "milk",
    "amount": 49180,
    "amount_a": 49180,
    "amount_b": 0,
    "amount_c": 0,
    "tare_weight":26940,
    "scale_weight":76120,
    "net_weight":49180,
    "is_rejected": false,
    "created_date": "2024-08-28T15:28:00.000Z",
    "updated_date": "2024-09-03T15:28:41.865Z",
    "deleted_date": null,
    "lt_number": "ABC12345",
    "object": "pickup",
    "source": {
      "id": "66fc2e7d7d531f77d238f070",
      "name": "Milk Moovement Producer",
      "license_number": "1234",
      "object": "source"
    }
  }
}
```

* **Processed Fluid Pickup:**

```json
{
  "region": "mm",
  "event_type": "create_pickup",
  "id": "66fc2e74e3509412cde6916b",
  "object": {
    "id": "66fc2e74e3509412cde6916b",
    "commodity_type": "condensed",
    "amount": 49180,
    "tare_weight":26940,
    "scale_weight":76120,
    "net_weight":49180,
    "is_rejected": false,
    "created_date": "2024-08-28T15:28:00.000Z",
    "updated_date": "2024-09-03T15:28:41.865Z",
    "deleted_date": null,
    "lt_number": "ABC12345",
    "object": "pickup",
    "source": {
      "id": "66fc2e7d7d531f77d238f070",
      "name": "Milk Moovement Producer",
      "license_number": "1234",
      "object": "source"
    }
  }
}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.milkmoovement.io/webhooks/pickups.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
